# _TerminalOutput
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L7)</span>
```pony
class ref _TerminalOutput is
  _OutputManager ref
```

#### Implements

* [_OutputManager](ponybench-_OutputManager.md) ref

---

## Constructors

### create
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L13)</span>


```pony
new ref create(
  env: Env val)
: _TerminalOutput ref^
```
#### Parameters

*   env: [Env](builtin-Env.md) val

#### Returns

* [_TerminalOutput](ponybench-_TerminalOutput.md) ref^

---

## Public Functions

### apply
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L22)</span>


```pony
fun ref apply(
  results: _Results val)
: None val
```
#### Parameters

*   results: [_Results](ponybench-_Results.md) val

#### Returns

* [None](builtin-None.md) val

---

## Private Functions

### _print_benchmark
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L34)</span>


```pony
fun ref _print_benchmark(
  results: _Results val,
  adjust: Bool val)
: None val
```
#### Parameters

*   results: [_Results](ponybench-_Results.md) val
*   adjust: [Bool](builtin-Bool.md) val

#### Returns

* [None](builtin-None.md) val

---

### _print_heading
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L58)</span>


```pony
fun box _print_heading()
: None val
```

#### Returns

* [None](builtin-None.md) val

---

### _print_result
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L69)</span>


```pony
fun box _print_result(
  name: String val,
  mean: String val,
  median: String val,
  dev: String val,
  iters: String val)
: None val
```
#### Parameters

*   name: [String](builtin-String.md) val
*   mean: [String](builtin-String.md) val
*   median: [String](builtin-String.md) val
*   dev: [String](builtin-String.md) val
*   iters: [String](builtin-String.md) val

#### Returns

* [None](builtin-None.md) val

---

### _print
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L84)</span>


```pony
fun box _print(
  msg: String val)
: None val
```
#### Parameters

*   msg: [String](builtin-String.md) val

#### Returns

* [None](builtin-None.md) val

---

### _warn
<span class="source-link">[[Source]](src/ponybench/_output_manager.md#L87)</span>


```pony
fun box _warn(
  msg: String val)
: None val
```
#### Parameters

*   msg: [String](builtin-String.md) val

#### Returns

* [None](builtin-None.md) val

---

